Skip to main content
Server path: /vercel-networking | Type: Application | PCID required: Yes

Tools

ToolDescription
vercel_networking_add_routeAdd a routing rule
vercel_networking_assign_aliasAssign an Alias
vercel_networking_create_microfrontends_group_with_applicationsCreate a microfrontends group with applications
vercel_networking_create_networkCreate a Secure Compute network
vercel_networking_delete_aliasDelete an Alias
vercel_networking_delete_networkDelete a Secure Compute network
vercel_networking_delete_routesDelete routing rules
vercel_networking_edit_routeEdit a routing rule
vercel_networking_generate_routeGenerate a routing rule from natural language
vercel_networking_get_aliasGet an Alias
vercel_networking_get_microfrontends_configGet microfrontends config for a deployment
vercel_networking_get_microfrontends_config_for_projectGet microfrontends config for a project
vercel_networking_get_microfrontends_groupsList microfrontends groups
vercel_networking_get_microfrontends_in_groupList projects in a microfrontends group
vercel_networking_get_route_versionsGet routing rule version history
vercel_networking_get_routesGet project routing rules
vercel_networking_list_aliasesList aliases
vercel_networking_list_deployment_aliasesList Deployment Aliases
vercel_networking_list_networksList Secure Compute networks
vercel_networking_patch_url_protection_bypassUpdate the protection bypass for a URL
vercel_networking_read_networkRead a Secure Compute network
vercel_networking_stage_routesStage routing rules
vercel_networking_update_networkUpdate a Secure Compute network
vercel_networking_update_route_versionsPromote, restore, or discard a routing rule version
vercel_networking_update_static_ipsConfigures Static IPs for a project

vercel_networking_add_route

Add a routing rule Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
positionobjectNoControls where the route is inserted. Defaults to “end” if omitted.
routeobjectYesThe route value

vercel_networking_assign_alias

Assign an Alias Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe ID of the deployment the aliases should be listed for
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
aliasstringNoThe alias we want to assign to the deployment defined in the URL
redirectstringNoThe redirect property will take precedence over the deployment id from the URL and consists of a hostname (like test.com) to which the alias should redirect using status code 307

vercel_networking_create_microfrontends_group_with_applications

Create a microfrontends group with applications Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
defaultAppobjectYesThe default app for the new microfrontend group
groupNamestringYesThe name of the microfrontends group that will be used to identify the group
otherApplicationsany[]YesThe list of other applications that will be used in the new microfrontend group

vercel_networking_create_network

Create a Secure Compute network Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
awsAvailabilityZoneIdsany[]NoAws Availability Zone Ids
cidrstringYesThe CIDR block of the network
namestringYesThe name of the network
regionstringYesThe region where the network will be created

vercel_networking_delete_alias

Delete an Alias Parameters:
ParameterTypeRequiredDefaultDescription
aliasIdstringYesThe ID or alias that will be removed
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_networking_delete_network

Delete a Secure Compute network Parameters:
ParameterTypeRequiredDefaultDescription
networkIdstringYesThe ID of the network to delete
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_networking_delete_routes

Delete routing rules Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
routeIdsany[]YesThe IDs of the routes to delete

vercel_networking_edit_route

Edit a routing rule Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
routeIdstringYesRoute Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
restorebooleanNoIf true, restores the staged route to the value in the production version.
routeobjectNoThe full route object to replace the existing route with

vercel_networking_generate_route

Generate a routing rule from natural language Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
currentRouteobjectNoCurrent Route
promptstringYesThe prompt value

vercel_networking_get_alias

Get an Alias Parameters:
ParameterTypeRequiredDefaultDescription
fromnumberNoGet the alias only if it was created after the provided timestamp
idOrAliasstringYesThe alias or alias ID to be retrieved
projectIdstringNoGet the alias only if it is assigned to the provided project ID
sincenumberNoGet the alias only if it was created after this JavaScript timestamp
untilnumberNoGet the alias only if it was created before this JavaScript timestamp
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_networking_get_microfrontends_config

Get microfrontends config for a deployment Parameters:
ParameterTypeRequiredDefaultDescription
deploymentIdstringYesThe unique deployment identifier
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_networking_get_microfrontends_config_for_project

Get microfrontends config for a project Parameters:
ParameterTypeRequiredDefaultDescription
projectIdOrNamestringYesThe name or ID of the project
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_networking_get_microfrontends_groups

List microfrontends groups Parameters:
ParameterTypeRequiredDefaultDescription
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_networking_get_microfrontends_in_group

List projects in a microfrontends group Parameters:
ParameterTypeRequiredDefaultDescription
groupIdstringYesGroup Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_networking_get_route_versions

Get routing rule version history Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_networking_get_routes

Get project routing rules Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
versionIdstringNoVersion Id
qstringNoThe q value
filterstringNoThe filter value
diffobjectNoThe diff value
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_networking_list_aliases

List aliases Parameters:
ParameterTypeRequiredDefaultDescription
domainany[]NoGet only aliases of the given domain name
fromnumberNoGet only aliases created after the provided timestamp
limitnumberNoMaximum number of aliases to list from a request
projectIdstringNoFilter aliases from the given projectId
sincenumberNoGet aliases created after this JavaScript timestamp
untilnumberNoGet aliases created before this JavaScript timestamp
rollbackDeploymentIdstringNoGet aliases that would be rolled back for the given deployment
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_networking_list_deployment_aliases

List Deployment Aliases Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe ID of the deployment the aliases should be listed for
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_networking_list_networks

List Secure Compute networks Parameters:
ParameterTypeRequiredDefaultDescription
includeHostedZonesbooleanNoWhether to include Hosted Zones in the response
includePeeringConnectionsbooleanNoWhether to include VPC Peering connections in the response
includeProjectsbooleanNoWhether to include projects in the response
searchstringNoThe query to use as a filter for returned networks
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_networking_patch_url_protection_bypass

Update the protection bypass for a URL Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe alias or deployment ID
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
bodyobjectNoRequest body

vercel_networking_read_network

Read a Secure Compute network Parameters:
ParameterTypeRequiredDefaultDescription
networkIdstringYesThe unique identifier of the Secure Compute network
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.

vercel_networking_stage_routes

Stage routing rules Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
overwritebooleanNoThe overwrite value
routesany[]NoThe routes value

vercel_networking_update_network

Update a Secure Compute network Parameters:
ParameterTypeRequiredDefaultDescription
networkIdstringYesThe unique identifier of the Secure Compute network
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
namestringYesThe name of the Secure Compute network

vercel_networking_update_route_versions

Promote, restore, or discard a routing rule version Parameters:
ParameterTypeRequiredDefaultDescription
projectIdstringYesProject Id
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
actionstringYesThe action value
idstringYesThe id value

vercel_networking_update_static_ips

Configures Static IPs for a project Parameters:
ParameterTypeRequiredDefaultDescription
idOrNamestringYesThe unique project identifier or the project name
teamIdstringNoThe Team identifier to perform the request on behalf of.
slugstringNoThe Team slug to perform the request on behalf of.
buildsbooleanNoWhether to use Static IPs for builds.
regionsany[]NoThe regions value